BitVectUtils.h File Reference
`#include "BitVects.h"`
`#include <string>`

Go to the source code of this file.

## Functions

template<typename T >
void | FromDaylightString (T &sbv, const std::string &s)
| Construct a BitVect from the ASCII representation of a Daylight fingerprint string. More...
template<typename T >
void | FromBitString (T &sbv, const std::string &s)
| Construct a BitVect from the ASCII representation of a bit string (i.e. a bunch of zeros and ones) More...
ExplicitBitVect * | convertToExplicit (const SparseBitVect *sbv)
| Convert a SparseBitVector to an ExplicitBitVector. More...

## Function Documentation

## convertToExplicit()

ExplicitBitVect* convertToExplicit | ( | const SparseBitVect * | sbv | ) |

Convert a SparseBitVector to an ExplicitBitVector.

Returns
  a pointer to an ExplicitBitVector Note: the caller is responsible for `delete`ing this.

## FromBitString()

template<typename T >

void FromBitString | ( | T & | sbv,
|  | const std::string & | s
| ) |  |

Construct a BitVect from the ASCII representation of a bit string (i.e. a bunch of zeros and ones)

## FromDaylightString()

template<typename T >

void FromDaylightString | ( | T & | sbv,
|  | const std::string & | s
| ) |  |

Construct a BitVect from the ASCII representation of a Daylight fingerprint string.